package com.dsk.cscec.domain.vo;

import com.dsk.cscec.domain.AdvisoryBody;
import com.dsk.cscec.domain.AdvisoryBodyProject;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author sxk
 * @date 2023.12.14
 * @time 16:18
 */
@Data
public class ProjectDetailVo {
    //咨询机构结算信息
    /**
     * 咨询机构
     */
    private AdvisoryBody advisoryBody;
    /**
     * 法定代表人
     */
    private String corporatePerson;
    /**
     * 注册地址
     */
    private String regAddress;
    /**
     * 项目信息
     */
    private AdvisoryBodyProject advisoryBodyProject;

    //工程基本信息-项目主体
    /**
     * 业主名称(业主单位)
     */
    private String ownerName;
    /**
     * 承包单位主键(工程承包单位)
     */
    private String contractOrgName;
    //履约责任单位
    //咨询单位

    //工程基本信息-工程概况
    /**
     * 项目经理名称(项目经理)
     */
    private String projectManagerName;
    //国内外
    /**
     * 省份名称(省市)
     */
    private String provinceName;
    /**
     * 业主性质(投资来源)
     */
    private String ownerNature;
    /**
     * 是否投资项目(项目承接类型)
     */
    private String isinvestproject;
    /**
     * 合同生效(盖章)日期(合同签订日期)
     */
    private Date contractSignDate;
    /**
     * 合同总工期
     */
    private String contractWorkDays;
    //开工日期方式
    ///**
    // * 实际开工日期(开工具体时间)备选
    // */
    //private Date actualStartDate;
    /**
     * 计划开工日期(开工具体时间)
     */
    private Date planStartDate;
    //竣工日期方式
    ///**
    // * 实际完工时间(竣工具体时间)备选
    // */
    //private Date actualEndDate;
    /**
     * 计划竣工日期
     */
    private Date planEndDate;
    /**
     * 工程类型上级名称(工程类型大类)
     */
    private String projectType1;
    /**
     * 工程类型名称(工程类别明细)
     */
    private String projectType2;
    /**
     * 建筑高度(M)
     */
    private String constructHeight;
    /**
     * 建筑面积
     */
    private Double buildingArea;
    /**
     * 地上层数
     */
    private String noOfOverfloor;
    /**
     * 地下层数
     */
    private String noOfUnderfloor;

    //目标责任书
    /**
     * 预收益率
     */
    private BigDecimal estimatedEarningRate;
    /**
     * 预收益额
     */
    private BigDecimal estimatedEarning;

    //条款内容
    /**
     * 承包主合同金额（合同金额）
     */
    private Double contractOrigValue;
    /**
     * 承包主合同自施金额（自施部分）
     */
    private Double contractOrigSelfvalue;
    //计价依据
    //预收益率
    //业主批量申报日期
    //批量时限
    //付款时限

    //工程预付款
    //工程预付款
    //支付比例

    //工程款项
    /**
     * 进度款支付方式(支付方式)
     */
    private String steppayType;
    /**
     * 进度款支付比例(按节点支付比例)
     */
    private Double steppayScale;
    //按月度支付比例
    //审核期限
    //支付期限
    //竣工累计支付
    //工程结算后累计支付
    //保修金预留比例
    //施工完成量业主/建立审核周期是否大于一个月

    //履约担保
    //担保形式
    //担保额度

    //竣工结算
    //竣工结算审核期限-月
    //是否承诺放弃工程价款优先受尝权
    //是否以行为事实放弃工程价款优先受偿权
    //工期拖期违约金比例

    //工期拖期违约金上线
    //有/无
    //上限比例

    //其他信息
    //是否分别签订执行和备案合同
    //承包单位
    //评审级别
    //创建日朗
}
